Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Class AbstractPhysicalDevice.TagData

    java.lang.Object
      com.connecterra.ale.reader.AbstractPhysicalDevice.TagProcessor
          com.connecterra.ale.reader.AbstractPhysicalDevice.TagData

Direct Known Subclasses:
  AbstractPhysicalDevice.EPCTagData

Enclosing class:
  AbstractPhysicalDevice

    public static class AbstractPhysicalDevice.TagData

extends AbstractPhysicalDevice.TagProcessor

Base class for TagProcessors that are associated with a DeviceUnit

Field Summary
`DeviceUnit` | `m_deviceUnit`

Constructor Summary
`AbstractPhysicalDevice.TagData(DeviceUnit ant, DeviceTagReport rep)`

Method Summary
`DeviceUnit` | `getDeviceUnit()`
`protected void` | `start()` This method is called before each DeviceAccessRequest's OpSpecs are processed.

Methods inherited from class com.connecterra.ale.reader.AbstractPhysicalDevice.TagProcessor
`finish, getDeviceTagReport, getParameters, setDeviceTagReport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_deviceUnit

    public DeviceUnit m_deviceUnit

Constructor Detail

### AbstractPhysicalDevice.TagData

    public AbstractPhysicalDevice.TagData(DeviceUnit ant,
                                          DeviceTagReport rep)

Method Detail

### getDeviceUnit

    public DeviceUnit getDeviceUnit()

### start

    protected void start()

  This method is called before each DeviceAccessRequest's OpSpecs are processed.

  Specified by:
    `start` in class `AbstractPhysicalDevice.TagProcessor`
  Throws:
    `IOException` - if there was an error communicating with the reader
    `AbstractPhysicalDevice.TagResultException` - if the request cannot be implemented by the device

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD